| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriterAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class WriterAttributes, defining the attributes of a RTPSWriter. More...

`#include <WriterAttributes.hpp>`

## Public Member Functions

| WriterAttributes ()
virtual | ~WriterAttributes ()

## Public Attributes

EndpointAttributes | endpoint
| Attributes of the associated endpoint.
WriterTimes | times
| Writer Times (only used for RELIABLE).
fastdds::dds::LivelinessQosPolicyKind | liveliness_kind
| Liveliness kind.
dds::Duration_t | liveliness_lease_duration
| Liveliness lease duration.
dds::Duration_t | liveliness_announcement_period
| Liveliness announcement period.
RTPSWriterPublishMode | mode
| Indicates if the Writer is synchronous or asynchronous.
bool | disable_heartbeat_piggyback
| Disable the sending of heartbeat piggybacks.
ResourceLimitedContainerConfig | matched_readers_allocation
| Define the allocation behaviour for matched-reader-dependent collections.
bool | disable_positive_acks
| Disable the sending of positive ACKs.
dds::Duration_t | keep_duration
| Keep duration to keep a sample before considering it has been acked.
std::string | flow_controller_name = fastdds::rtps::FASTDDS_FLOW_CONTROLLER_DEFAULT
| Flow controller name. Default: fastdds::rtps::FASTDDS_FLOW_CONTROLLER_DEFAULT.
bool | separate_sending = false
| Whether to send data to each matched reader separately.

## Detailed Description

Class WriterAttributes, defining the attributes of a RTPSWriter.

## Constructor & Destructor Documentation

## ◆ WriterAttributes()

WriterAttributes | ( |  | ) |

inline

## ◆ ~WriterAttributes()

virtual ~WriterAttributes | ( |  | ) |

inline virtual

## Member Data Documentation

## ◆ disable_heartbeat_piggyback

bool disable_heartbeat_piggyback

Disable the sending of heartbeat piggybacks.

## ◆ disable_positive_acks

bool disable_positive_acks

Disable the sending of positive ACKs.

## ◆ endpoint

EndpointAttributes endpoint

Attributes of the associated endpoint.

## ◆ flow_controller_name

std::string flow_controller_name = fastdds::rtps::FASTDDS_FLOW_CONTROLLER_DEFAULT

Flow controller name. Default: fastdds::rtps::FASTDDS_FLOW_CONTROLLER_DEFAULT.

## ◆ keep_duration

dds::Duration_t keep_duration

Keep duration to keep a sample before considering it has been acked.

## ◆ liveliness_announcement_period

dds::Duration_t liveliness_announcement_period

Liveliness announcement period.

## ◆ liveliness_kind

fastdds::dds::LivelinessQosPolicyKind liveliness_kind

Liveliness kind.

## ◆ liveliness_lease_duration

dds::Duration_t liveliness_lease_duration

Liveliness lease duration.

## ◆ matched_readers_allocation

ResourceLimitedContainerConfig matched_readers_allocation

Define the allocation behaviour for matched-reader-dependent collections.

## ◆ mode

RTPSWriterPublishMode mode

Indicates if the Writer is synchronous or asynchronous.

## ◆ separate_sending

bool separate_sending = false

Whether to send data to each matched reader separately.

## ◆ times

WriterTimes times

Writer Times (only used for RELIABLE).

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/WriterAttributes.hpp